## time 1.0

=== DESCRIPTION ===
Package: time
Title: Time tracking for developers
Version: 1.0
Author: Toby Dylan Hocking <tobob@berkeley.edu>
Description: Provides a function for drawing a progress bar using standard text output, and additional time-tracking routines that allow developers to track how long their processor-intensive calculations take.
Maintainer: Toby Dylan Hocking <tobob@berkeley.edu>
License: GPL version 2 or newer
Packaged: Wed Jun  8 11:43:47 2005; hornik

## time 1.1

=== DESCRIPTION ===
Package: time
Title: Time tracking for developers
Version: 1.1
Author: Toby Dylan Hocking <toby.hocking@inria.fr>
Maintainer: Toby Dylan Hocking <toby.hocking@inria.fr>
Description: Provides a function for drawing a progress bar using
        standard text output, and additional time-tracking routines
        that allow developers to track how long their
        processor-intensive calculations take.
License: GPL (>= 2)
Packaged: 2010-04-12 12:46:23 UTC; hocking
Repository: CRAN
Date/Publication: 2010-04-12 13:10:38

## time 1.7

=== debian/changelog ===
time (1.7-24) unstable; urgency=low

  * New maintainer.  Thanks Tollef Fog Heen.  (Closes: #652670)
  * Thanks to previous maintainers for all of their efforts!
  * Acknowledge NMU for Build-Depends automake.  Thanks Salvatore
    Bonaccorso.  (Closes: #592620)
  * Update to new standards version 3.9.3.
  * Update to new compat level 9.
  * Use new machine readable copyright file format.
  * Convert package build system to debhelper dh build system.
  * Convert package build to "3.0 quilt".  Unwind diff.gz patches.  Use
    DEP3 format for patch tagging.
  * Use dh_installinfo instead of install-info from postinst scripts.
    Thanks Riku Saikkonen, Hans Spaans.  (Closes: #617935, #598099)
  * ru_maxrss is reported in KBytes not pages.  Thanks Richard Kettlewell,
    Sven Hartrumpf, Miles Bader.  (Closes: #649402)
  * Update bug report email addresses.  Thanks Faheem Mitha.  (Closes: #542469)
  * Improve capitalization in short description.  Thanks Filipus
    Klutiero. (Closes: #492669)
  * Fix man page roff formatting.  Thanks Bjarni Ingi Gislason.
    (Closes: #663260)
  * Fix man page formatting oddities.  Thanks Russ Allbery for the nice patch.
    See Bug#677013#68 for the discussion.
  * Fix texinfo standalone info program navigation oddity.  Reported by
    Russ Allbery.  See Bug#677013#63.

 -- Bob Proulx <bob@proulx.com>  Mon, 23 Feb 2012 12:55:30 -0700

time (1.7-23.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Change Build-Depends on automaken to an alternate
    dependency automake | automaken (Closes: #592620).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 13 Sep 2010 22:31:46 +0200

time (1.7-23) unstable; urgency=medium

  * Fix up install-info calls in postinst and prerm.  Closes: #491410

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 21 Jul 2008 12:27:09 +0200

time (1.7-22) unstable; urgency=low

  * Fix duplicated lines in man page.  Closes: #398610

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 18 Jul 2008 13:27:20 +0200

time (1.7-21) unstable; urgency=low

  * _Really_ switch maintainer.  Thanks to tbm for spotting this.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun,  6 Feb 2005 15:41:26 +0100

time (1.7-20) unstable; urgency=low

  * New maintainer.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun,  6 Feb 2005 12:40:40 +0100

time (1.7-19) unstable; urgency=low

  * debian/rules: Rewrite snippet for last fix so that it actually works

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  1 May 2004 08:20:36 -0500

time (1.7-18) unstable; urgency=low

  * debian/rules: Older versions of automake do not agree with the current 
    version of our install-info; /usr/share/info/dir{,.old}.gz are left 
    behind as a result iff /sbin:/usr/sbin are in the PATH as is the case 
    in Debian's autobuilders -- we now remove them at the end of  
    'make install'. 					 (Closes: #246778) 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  1 May 2004 07:55:00 -0500

time (1.7-17) unstable; urgency=low

  * Daniel Schepler <schepler@debian.org> kindly supplied the following:
    - configure.in: Add AM_MAINTAINER_MODE, to avoid problems with
      time stamp skew in the source package.  Closes: #208193.
  * Applied Daniel's patches with minor changes, and ran
    'aclocal; autoconf; automake-1.7 --gnu --add-missing --copy'
  * debian/control: Increased Standards-Version to 3.6.1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  1 Sep 2003 14:06:20 -0500

time (1.7-16) unstable; urgency=low

  * time.c: When time exits in a non-normal way, return 128 plus the 
    number of the signal which caused time to stop or abort. Thanks to
    Steve Greenland and Herbert Xu for some clarification in this matter.
  * debian/time.1: Corrected typo, thanks Justin Pryzby (Closes: #201021)
  * debian/time.1: Documented exit code, and change above (Closes: #203804)
  * debian/time.1: Documented that bash users want /usr/bin/time
  * debian/rules: Converted to cdbs
  * debian/control: Added cdbs to Build-Depends, increased debhelper version
  * debian/control: automake Build-Depends changed to automaken
  * debian/control: Increase Standards-Version to 3.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  4 Aug 2003 21:03:47 -0500

time (1.7-15) unstable; urgency=low

  * debian/control: Add automake to Build-Depends (Closes: #146512)
  * Makefile.in: s/@AUTOMAKE@/automake/

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 May 2002 09:46:30 -0500

time (1.7-14) unstable; urgency=low

  * debian/time.1: Small clarification regarding -P flag (Closes: #146414)
  * configure.in, resuse.h, time.texi: Applied patch kindly provided by
    Albert Chin <china@thewrittenword.com> which fixes 144819 better

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  9 May 2002 20:18:47 -0500

time (1.7-13) unstable; urgency=low

  * resuse.h: Apply small patch to load sys/resource.h (Closes: #144819)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 29 Apr 2002 20:32:22 -0500

time (1.7-12) unstable; urgency=low

  * debian/copyright: Debian/GNU Linux typo fix (lintian)
  * debian/{pre,post}{inst,rm}: cleanups (lintian)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Apr 2002 11:42:46 -0500

time (1.7-11) unstable; urgency=low

  * debian/control: Added texinfo to Build-Depends (Closes: #90411)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Mar 2001 20:27:30 -0600

time (1.7-10) unstable; urgency=low

  * debian/control: Added Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  4 Jan 2001 20:43:22 -0600

time (1.7-9) frozen unstable; urgency=low

  * time.c: Wrote minimal patch which adds a `-q|--quiet' options to
    suppress non-zero return code from the measured program (Closes: #56853)
  * debian/time.1: Updated to reflect new option
  * time.texi: Updated to reflect new option

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  8 Feb 2000 21:52:10 -0500

time (1.7-8) unstable; urgency=low

  * debian/preinst: Recognise "install" option (Closes: #51128)



=== debian/control ===
Source: time
Section: utils
Priority: standard
Maintainer: Bob Proulx <bob@proulx.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), texi2html, texinfo, automake | automaken, autoconf, dh-autoreconf

Package: time
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU time program for measuring CPU resource usage
 The 'time' command runs another program, then displays information
 about the resources used by that program, collected by the system while
 the program was running.  You can select which information is reported
 and the format in which it is shown, or have 'time' save the information
 in a file instead of display it on the screen.
 .
 The resources that 'time' can report on fall into the general
 categories of time, memory, I/O, and IPC calls.
 .
 The GNU version can format the output in arbitrary ways by using a
 printf-style format string to include various resource measurements.
Homepage: http://www.gnu.org/software/time

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

override_dh_installdocs:
	texi2html -monolithic time.texi
	dh_installdocs time.html

override_dh_installman:
	dh_installman debian/time.1

override_dh_installinfo:
	dh_installinfo
	rm -f debian/time/usr/share/info/dir

## time 1.7-2

=== debian/control ===
Source: time
Section: utils
Priority: standard
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 2.4.0.0  

Package: time
Architecture: any
Depends: ${shlibs:Depends}
Description: The GNU time command.
 The `time' command runs another program, then displays information
 about the resources used by that program, collected by the system while
 the program was running.  You can select which information is reported
 and the format in which it is shown, or have `time' save the information
 in a file instead of display it on the screen.
 .
 The resources that `time' can report on fall into the general
 categories of time, memory, I/O, and IPC calls.
 .
 The GNU version can format the output in arbitrary ways by using a 
 printf-style format string to include various resource measurements.

=== debian/rules ===
#!/usr/bin/make -f 					
# 							-*- makefile -*-
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# debian/rules file for the Debian/GNU Linux time package
# Copyright 1995-98 by Dirk Eddelbuettel <edd@debian.org>

package	= time
debtmp	:= $(shell pwd)/debian/tmp

# edd 10 Feb 98	See section 4.1 of Policy Manual
arch 		= $(shell dpkg --print-architecture)-linux

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build:
	dh_testdir
	./configure --prefix=/usr $(arch) 
	$(MAKE) CC=gcc CFLAGS="-O2 -g -Wall" LDFLAGS=
	texi2html -verbose -monolithic $(package).texi
	touch build

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) -i distclean
	dh_clean build $(package).html 

binary-indep: build
# We have nothing to do by default.

binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 
	$(MAKE) 		prefix=$(debtmp)/usr install
	dh_installdocs		README NEWS $(package).html
#	dh_installexamples
	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs	ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:	binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

# Local variables:
#   mode: makefile
# End:

old-binary-arch:    checkroot build
	$(checkdir)
	-rm -rf $(debtmp)
	install -d $(debtmp)/DEBIAN 
	install -c -m 0755 debian/post{inst,rm}	$(debtmp)/DEBIAN/.
	$(MAKE) INSTALL_PROGRAM='install -c -s' prefix=$(debtmp)/usr install
	gzip -9v $(debtmp)/usr/info/*
	install -d $(debtmp)/usr/man/man1
	install -c -m 0644 debian/time.1	$(debman)/man1/.
	gzip -9v $(debtmp)/usr/man/man1/*
	install -d -m 0755			$(menudir)
	install -c -m 0644 debian/menu		$(menudir)/$(package)
	install -d -m 0755			$(debdoc)
	install -c -m 0644 README NEWS 		$(debdoc)/.
	install -c -m 0644 ChangeLog 		$(debdoc)/changelog
	install -c -m 0644 debian/changelog	$(debdoc)/changelog.Debian
	install -c -m 0644 $(package).html	$(debdoc)/.
	gzip -9v $(debdoc)/*
	install -c -m 0644 debian/copyright	$(debdoc)/.
	dpkg-shlibdeps $(package)
	dpkg-gencontrol
	chown -R root.root $(debtmp)
	chmod -R g-ws $(debtmp)
	dpkg --build $(debtmp) ..

## time 1.9

=== debian/changelog ===
time (1.9-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/ftbfs_with_GCC-15.patch to fix exactly that
    (Closes: #1097999)

 -- Florian Ernst <florian@debian.org>  Sat, 13 Sep 2025 11:51:35 +0200

time (1.9-0.2) unstable; urgency=medium

  * Non-maintainer upload by the Reproducible Builds team.
  * Add debian/patches/0001-doc-time.texi.patch to remove timestamp from
    documentation. Closes: 983202. Patch by Vagrant Cascadian.

 -- Holger Levsen <holger@debian.org>  Thu, 22 Sep 2022 21:35:24 +0200

time (1.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (from 2018). Closes: #881429.
  * Adjust debian/copyright for GPLv3+.
  * Fix remaining packaging issues from this issue. Closes: #751776.
    - Move the Homepage field to the Source stanza.
    - Hyphenate "License: freely-distributable".
    - Bring the patch headers a bit closer to DEP-3.
  * Remove patches applied upstream:
    - debian/patches/non-normal-exit.patch
    - debian/patches/ru_maxrss.patch
    - debian/patches/rusage-portability.patch
    - debian/patches/quiet.patch
    - debian/patches/bug-address.patch
    - debian/patches/configure.patch
    - debian/patches/info-direntry.patch,
    - debian/patches/info-nav.patch
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 20:28:43 +0100

time (1.7-25.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.

  [ Peter Pentchev ]
  * Mark the binary package as Multi-Arch: foreign.  (Addresses: #751776)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 21 Jul 2015 15:52:01 +0200

time (1.7-25) unstable; urgency=medium

  * Patch for HZ and time.h inclusion.  Good in general and needed for
    Hurd.  Thanks Pino Toscano.  (Closes: #704283)
  * Improve -p,--portability documentation.  Thanks Jonathan Nieder.
    (Closes: #511456)
  * Remove build dependency on texi2html.  Thanks lintian.
  * Rebuild will acquire latest dpkg-buildflags settings.

 -- Bob Proulx <bob@proulx.com>  Sun, 09 Feb 2014 16:46:39 -0700

=== debian/control ===
Source: time
Section: utils
Priority: standard
Maintainer: Bob Proulx <bob@proulx.com>
Homepage: https://www.gnu.org/software/time
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 12), texinfo, automake | automaken, autoconf

Package: time
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU time program for measuring CPU resource usage
 The 'time' command runs another program, then displays information
 about the resources used by that program, collected by the system while
 the program was running.  You can select which information is reported
 and the format in which it is shown, or have 'time' save the information
 in a file instead of display it on the screen.
 .
 The resources that 'time' can report on fall into the general
 categories of time, memory, I/O, and IPC calls.
 .
 The GNU version can format the output in arbitrary ways by using a
 printf-style format string to include various resource measurements.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	if [ -f Makefile ]; then dh_auto_clean; fi

override_dh_installdocs:
	cd doc && makeinfo --no-split --html time.texi
	dh_installdocs doc/time.html

override_dh_installman:
	dh_installman debian/time.1

override_dh_installinfo:
	dh_installinfo
	rm -f debian/time/usr/share/info/dir

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/time/ time-(.*)\.tar\.gz

## time library

=== Makefile ===
#
#	MAKEFILE for generating binaries of different flavors.
#

#  Standard programs
RM = /bin/rm
CP = /bin/cp
MAKE = /usr/local/bin/make
CC = /bin/cc
MKDIRS = /bin/mkdirs

#  Architectures
ARCH_FLAGS = -arch m68k -arch i386

#  Installdirs
INSTALL_LIB_DIR = $(WSCSRC)/lib
INSTALL_H_DIR = $(WSCSRC)/include/$(BASE_LIB)
INSTALL_DOC_DIR = $(WSCSRC)/documentation/libraries/$(BASE_LIB)

#  Misc.
GARBAGE=*~*~ *~

#  Linkdir
LINK_DIR = $(BASE_LIB)

#  Source files
CFILES = absolute.c julian.c unix.c misc.c thirty_360.c
MFILES = 

#  Header files to install
HFILES = time/time.h

#  Makefile
MAKEFILE = Makefile

#  Base definitions and defaults
BASE_LIB = time
BASE_CFLAGS = -Wall $(EXTRA_BASE_CFLAGS) $(ARCH_FLAGS) -I$(WSCSRC)/include -I.

#  Options/Flavors
PRODUCTION = production
DEBUG = debug
#  Default flavor
FLAVOR = $(DEBUG)

LIB = $(BASE_LIB)$(LIB-$(FLAVOR))
LIB-$(PRODUCTION) =
LIB-$(DEBUG) = _dbg

CFLAGS = $(BASE_CFLAGS) $(CFLAGS-$(FLAVOR))
CFLAGS-$(PRODUCTION) = -O 
CFLAGS-$(DEBUG) = -g -DDEBUG

OBJECT_DIR = lib$(LIB)_obj

#  Rules for generating .o files from C and Objective C source code.

.SUFFIXES: .c .m
$(OBJECT_DIR)/%.o : %.c
	$(CC) $(CFLAGS) -o $@ -c $<
$(OBJECT_DIR)/%.o : %.m
	$(CC) $(CFLAGS) -o $@ -c $<

#  Lists
FLAVORS = $(PRODUCTION) $(DEBUG)

OFILES = $(COFILES) $(MOFILES)
MOFILES = $(MFILES:%.m=$(OBJECT_DIR)/%.o)
COFILES = $(CFILES:%.c=$(OBJECT_DIR)/%.o)

help:
	@echo "Valid targets: all (production and debug libraries)"
	@echo "               lib"
	@echo "               debug_lib"
	@echo "               clean"
	@echo "               install (all libraries)"
	@echo "               docs (installs documentation)"
	@echo "               help"

all: 
	@$(MAKE) library "FLAVOR=debug"
	@$(MAKE) library "FLAVOR=production"

lib: 
	@$(MAKE) library "FLAVOR=production"

debug_lib:
	@$(MAKE) library "FLAVOR=debug"

library: links $(OBJECT_DIR) $(OFILES) $(MAKEFILE) 
	-$(RM) $(OBJECT_DIR)/lib$(LIB).a
	ar rc $(OBJECT_DIR)/lib$(LIB).a $(OFILES)
	ranlib $(OBJECT_DIR)/lib$(LIB).a

install: lib debug_lib install_dirs
	@$(MAKE) installation "FLAVOR=production"
	@$(MAKE) installation "FLAVOR=debug"

installation:
	-$(CP) $(OBJECT_DIR)/lib$(LIB).a $(INSTALL_LIB_DIR)
	ranlib $(INSTALL_LIB_DIR)/lib$(LIB).a
	-$(CP) $(HFILES) $(INSTALL_H_DIR)

docs: doc_dir
	-$(CP) -r documentation/* $(INSTALL_DOC_DIR) ;\
	find $(INSTALL_DOC_DIR) -name "CVS" -print -exec $(RM) -r {} \; ;\
	ixbuild -fsv -LEnglish $(INSTALL_DOC_DIR)

clean:
	-$(RM) -r lib$(BASE_LIB)*_obj
	-$(RM) $(GARBAGE)

$(OBJECT_DIR):
	-$(MKDIRS) $(OBJECT_DIR)

install_dirs:
	-$(MKDIRS) $(INSTALL_LIB_DIR)	
	-$(MKDIRS) $(INSTALL_H_DIR)

links:

doc_dir:
	$(MKDIRS) $(INSTALL_DOC_DIR)

=== tests/Makefile ===
RM=/bin/rm

LIBTIME=../libtime.a


all: $(LIBTIME)
#	cc -Wall -O -L.. -o test test.c -ltime

	cc -Wall -g -DDEBUG -L.. -o test test.c -ltime

$(LIBTIME):
	cd .. ; \
	make ; \
	cd Tests

clean:
	$(RM) *.o test

help:
	@echo "Valid targets:  help, clean, all."
